EventRecodingLogger (SLF4J 1.7.25 API)
Date: 2017-03-16

org.slf4j.event

## Class EventRecodingLogger

- java.lang.Object
- - org.slf4j.event.EventRecodingLogger

- All Implemented Interfaces:
    Logger

      public class EventRecodingLogger
      extends Object
      implements Logger

- - ### Field Summary

    - ### Fields inherited from interface org.slf4j.Logger

      `ROOT_LOGGER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventRecodingLogger(SubstituteLogger logger, Queue<SubstituteLoggingEvent> eventQueue)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(Marker marker, String msg)` Log a message with the specific Marker at the DEBUG level.
    `void` | `debug(Marker marker, String format, Object... arguments)` This method is similar to `Logger.debug(String, Object...)` method except that the marker data is also taken into consideration.
    `void` | `debug(Marker marker, String format, Object arg)` This method is similar to `Logger.debug(String, Object)` method except that the marker data is also taken into consideration.
    `void` | `debug(Marker marker, String format, Object arg1, Object arg2)` This method is similar to `Logger.debug(String, Object, Object)` method except that the marker data is also taken into consideration.
    `void` | `debug(Marker marker, String msg, Throwable t)` This method is similar to `Logger.debug(String, Throwable)` method except that the marker data is also taken into consideration.
    `void` | `debug(String msg)` Log a message at the DEBUG level.
    `void` | `debug(String format, Object... arguments)` Log a message at the DEBUG level according to the specified format and arguments.
    `void` | `debug(String format, Object arg)` Log a message at the DEBUG level according to the specified format and argument.
    `void` | `debug(String format, Object arg1, Object arg2)` Log a message at the DEBUG level according to the specified format and arguments.
    `void` | `debug(String msg, Throwable t)` Log an exception (throwable) at the DEBUG level with an accompanying message.
    `void` | `error(Marker marker, String msg)` Log a message with the specific Marker at the ERROR level.
    `void` | `error(Marker marker, String format, Object... arguments)` This method is similar to `Logger.error(String, Object...)` method except that the marker data is also taken into consideration.
    `void` | `error(Marker marker, String format, Object arg)` This method is similar to `Logger.error(String, Object)` method except that the marker data is also taken into consideration.
    `void` | `error(Marker marker, String format, Object arg1, Object arg2)` This method is similar to `Logger.error(String, Object, Object)` method except that the marker data is also taken into consideration.
    `void` | `error(Marker marker, String msg, Throwable t)` This method is similar to `Logger.error(String, Throwable)` method except that the marker data is also taken into consideration.
    `void` | `error(String msg)` Log a message at the ERROR level.
    `void` | `error(String format, Object... arguments)` Log a message at the ERROR level according to the specified format and arguments.
    `void` | `error(String format, Object arg)` Log a message at the ERROR level according to the specified format and argument.
    `void` | `error(String format, Object arg1, Object arg2)` Log a message at the ERROR level according to the specified format and arguments.
    `void` | `error(String msg, Throwable t)` Log an exception (throwable) at the ERROR level with an accompanying message.
    `String` | `getName()` Return the name of this `Logger` instance.
    `void` | `info(Marker marker, String msg)` Log a message with the specific Marker at the INFO level.
    `void` | `info(Marker marker, String format, Object... arguments)` This method is similar to `Logger.info(String, Object...)` method except that the marker data is also taken into consideration.
    `void` | `info(Marker marker, String format, Object arg)` This method is similar to `Logger.info(String, Object)` method except that the marker data is also taken into consideration.
    `void` | `info(Marker marker, String format, Object arg1, Object arg2)` This method is similar to `Logger.info(String, Object, Object)` method except that the marker data is also taken into consideration.
    `void` | `info(Marker marker, String msg, Throwable t)` This method is similar to `Logger.info(String, Throwable)` method except that the marker data is also taken into consideration.
    `void` | `info(String msg)` Log a message at the INFO level.
    `void` | `info(String format, Object... arguments)` Log a message at the INFO level according to the specified format and arguments.
    `void` | `info(String format, Object arg)` Log a message at the INFO level according to the specified format and argument.
    `void` | `info(String format, Object arg1, Object arg2)` Log a message at the INFO level according to the specified format and arguments.
    `void` | `info(String msg, Throwable t)` Log an exception (throwable) at the INFO level with an accompanying message.
    `boolean` | `isDebugEnabled()` Is the logger instance enabled for the DEBUG level?
    `boolean` | `isDebugEnabled(Marker marker)` Similar to `Logger.isDebugEnabled()` method except that the marker data is also taken into account.
    `boolean` | `isErrorEnabled()` Is the logger instance enabled for the ERROR level?
    `boolean` | `isErrorEnabled(Marker marker)` Similar to `Logger.isErrorEnabled()` method except that the marker data is also taken into consideration.
    `boolean` | `isInfoEnabled()` Is the logger instance enabled for the INFO level?
    `boolean` | `isInfoEnabled(Marker marker)` Similar to `Logger.isInfoEnabled()` method except that the marker data is also taken into consideration.
    `boolean` | `isTraceEnabled()` Is the logger instance enabled for the TRACE level?
    `boolean` | `isTraceEnabled(Marker marker)` Similar to `Logger.isTraceEnabled()` method except that the marker data is also taken into account.
    `boolean` | `isWarnEnabled()` Is the logger instance enabled for the WARN level?
    `boolean` | `isWarnEnabled(Marker marker)` Similar to `Logger.isWarnEnabled()` method except that the marker data is also taken into consideration.
    `void` | `trace(Marker marker, String msg)` Log a message with the specific Marker at the TRACE level.
    `void` | `trace(Marker marker, String format, Object... argArray)` This method is similar to `Logger.trace(String, Object...)` method except that the marker data is also taken into consideration.
    `void` | `trace(Marker marker, String format, Object arg)` This method is similar to `Logger.trace(String, Object)` method except that the marker data is also taken into consideration.
    `void` | `trace(Marker marker, String format, Object arg1, Object arg2)` This method is similar to `Logger.trace(String, Object, Object)` method except that the marker data is also taken into consideration.
    `void` | `trace(Marker marker, String msg, Throwable t)` This method is similar to `Logger.trace(String, Throwable)` method except that the marker data is also taken into consideration.
    `void` | `trace(String msg)` Log a message at the TRACE level.
    `void` | `trace(String format, Object... arguments)` Log a message at the TRACE level according to the specified format and arguments.
    `void` | `trace(String format, Object arg)` Log a message at the TRACE level according to the specified format and argument.
    `void` | `trace(String format, Object arg1, Object arg2)` Log a message at the TRACE level according to the specified format and arguments.
    `void` | `trace(String msg, Throwable t)` Log an exception (throwable) at the TRACE level with an accompanying message.
    `void` | `warn(Marker marker, String msg)` Log a message with the specific Marker at the WARN level.
    `void` | `warn(Marker marker, String format, Object... arguments)` This method is similar to `Logger.warn(String, Object...)` method except that the marker data is also taken into consideration.
    `void` | `warn(Marker marker, String format, Object arg)` This method is similar to `Logger.warn(String, Object)` method except that the marker data is also taken into consideration.
    `void` | `warn(Marker marker, String format, Object arg1, Object arg2)` This method is similar to `Logger.warn(String, Object, Object)` method except that the marker data is also taken into consideration.
    `void` | `warn(Marker marker, String msg, Throwable t)` This method is similar to `Logger.warn(String, Throwable)` method except that the marker data is also taken into consideration.
    `void` | `warn(String msg)` Log a message at the WARN level.
    `void` | `warn(String format, Object... arguments)` Log a message at the WARN level according to the specified format and arguments.
    `void` | `warn(String format, Object arg)` Log a message at the WARN level according to the specified format and argument.
    `void` | `warn(String format, Object arg1, Object arg2)` Log a message at the WARN level according to the specified format and arguments.
    `void` | `warn(String msg, Throwable t)` Log an exception (throwable) at the WARN level with an accompanying message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventRecodingLogger

          public EventRecodingLogger(SubstituteLogger logger,
                             Queue<SubstituteLoggingEvent> eventQueue)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Logger`
      Return the name of this `Logger` instance.
      Specified by:
        `getName` in interface `Logger`
      Returns:
        name of this logger instance

    - #### isTraceEnabled

          public boolean isTraceEnabled()

      Description copied from interface: `Logger`
      Is the logger instance enabled for the TRACE level?
      Specified by:
        `isTraceEnabled` in interface `Logger`
      Returns:
        True if this Logger is enabled for the TRACE level, false otherwise.

    - #### trace

          public void trace(String msg)

      Description copied from interface: `Logger`
      Log a message at the TRACE level.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `msg` - the message string to be logged

    - #### trace

          public void trace(String format,
                   Object arg)

      Description copied from interface: `Logger`
      Log a message at the TRACE level according to the specified format and argument.

      This form avoids superfluous object creation when the logger is disabled for the TRACE level.

      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### trace

          public void trace(String format,
                   Object arg1,
                   Object arg2)

      Description copied from interface: `Logger`
      Log a message at the TRACE level according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the TRACE level.

      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### trace

          public void trace(String format,
                   Object... arguments)

      Description copied from interface: `Logger`
      Log a message at the TRACE level according to the specified format and arguments.

      This form avoids superfluous string concatenation when the logger is disabled for the TRACE level. However, this variant incurs the hidden (and relatively small) cost of creating an `Object[]` before invoking the method, even if this logger is disabled for TRACE. The variants taking `one` and `two` arguments exist solely in order to avoid this hidden cost.

      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### trace

          public void trace(String msg,
                   Throwable t)

      Description copied from interface: `Logger`
      Log an exception (throwable) at the TRACE level with an accompanying message.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isTraceEnabled

          public boolean isTraceEnabled(Marker marker)

      Description copied from interface: `Logger`
      Similar to `Logger.isTraceEnabled()` method except that the marker data is also taken into account.
      Specified by:
        `isTraceEnabled` in interface `Logger`
      Parameters:
        `marker` - The marker data to take into consideration
      Returns:
        True if this Logger is enabled for the TRACE level, false otherwise.

    - #### trace

          public void trace(Marker marker,
                   String msg)

      Description copied from interface: `Logger`
      Log a message with the specific Marker at the TRACE level.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `msg` - the message string to be logged

    - #### trace

          public void trace(Marker marker,
                   String format,
                   Object arg)

      Description copied from interface: `Logger`
      This method is similar to `Logger.trace(String, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg` - the argument

    - #### trace

          public void trace(Marker marker,
                   String format,
                   Object arg1,
                   Object arg2)

      Description copied from interface: `Logger`
      This method is similar to `Logger.trace(String, Object, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### trace

          public void trace(Marker marker,
                   String format,
                   Object... argArray)

      Description copied from interface: `Logger`
      This method is similar to `Logger.trace(String, Object...)` method except that the marker data is also taken into consideration.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `argArray` - an array of arguments

    - #### trace

          public void trace(Marker marker,
                   String msg,
                   Throwable t)

      Description copied from interface: `Logger`
      This method is similar to `Logger.trace(String, Throwable)` method except that the marker data is also taken into consideration.
      Specified by:
        `trace` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isDebugEnabled

          public boolean isDebugEnabled()

      Description copied from interface: `Logger`
      Is the logger instance enabled for the DEBUG level?
      Specified by:
        `isDebugEnabled` in interface `Logger`
      Returns:
        True if this Logger is enabled for the DEBUG level, false otherwise.

    - #### debug

          public void debug(String msg)

      Description copied from interface: `Logger`
      Log a message at the DEBUG level.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `msg` - the message string to be logged

    - #### debug

          public void debug(String format,
                   Object arg)

      Description copied from interface: `Logger`
      Log a message at the DEBUG level according to the specified format and argument.

      This form avoids superfluous object creation when the logger is disabled for the DEBUG level.

      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### debug

          public void debug(String format,
                   Object arg1,
                   Object arg2)

      Description copied from interface: `Logger`
      Log a message at the DEBUG level according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the DEBUG level.

      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### debug

          public void debug(String format,
                   Object... arguments)

      Description copied from interface: `Logger`
      Log a message at the DEBUG level according to the specified format and arguments.

      This form avoids superfluous string concatenation when the logger is disabled for the DEBUG level. However, this variant incurs the hidden (and relatively small) cost of creating an `Object[]` before invoking the method, even if this logger is disabled for DEBUG. The variants taking `one` and `two` arguments exist solely in order to avoid this hidden cost.

      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### debug

          public void debug(String msg,
                   Throwable t)

      Description copied from interface: `Logger`
      Log an exception (throwable) at the DEBUG level with an accompanying message.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isDebugEnabled

          public boolean isDebugEnabled(Marker marker)

      Description copied from interface: `Logger`
      Similar to `Logger.isDebugEnabled()` method except that the marker data is also taken into account.
      Specified by:
        `isDebugEnabled` in interface `Logger`
      Parameters:
        `marker` - The marker data to take into consideration
      Returns:
        True if this Logger is enabled for the DEBUG level, false otherwise.

    - #### debug

          public void debug(Marker marker,
                   String msg)

      Description copied from interface: `Logger`
      Log a message with the specific Marker at the DEBUG level.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `msg` - the message string to be logged

    - #### debug

          public void debug(Marker marker,
                   String format,
                   Object arg)

      Description copied from interface: `Logger`
      This method is similar to `Logger.debug(String, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg` - the argument

    - #### debug

          public void debug(Marker marker,
                   String format,
                   Object arg1,
                   Object arg2)

      Description copied from interface: `Logger`
      This method is similar to `Logger.debug(String, Object, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### debug

          public void debug(Marker marker,
                   String format,
                   Object... arguments)

      Description copied from interface: `Logger`
      This method is similar to `Logger.debug(String, Object...)` method except that the marker data is also taken into consideration.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### debug

          public void debug(Marker marker,
                   String msg,
                   Throwable t)

      Description copied from interface: `Logger`
      This method is similar to `Logger.debug(String, Throwable)` method except that the marker data is also taken into consideration.
      Specified by:
        `debug` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Description copied from interface: `Logger`
      Is the logger instance enabled for the INFO level?
      Specified by:
        `isInfoEnabled` in interface `Logger`
      Returns:
        True if this Logger is enabled for the INFO level, false otherwise.

    - #### info

          public void info(String msg)

      Description copied from interface: `Logger`
      Log a message at the INFO level.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `msg` - the message string to be logged

    - #### info

          public void info(String format,
                  Object arg)

      Description copied from interface: `Logger`
      Log a message at the INFO level according to the specified format and argument.

      This form avoids superfluous object creation when the logger is disabled for the INFO level.

      Specified by:
        `info` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### info

          public void info(String format,
                  Object arg1,
                  Object arg2)

      Description copied from interface: `Logger`
      Log a message at the INFO level according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the INFO level.

      Specified by:
        `info` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### info

          public void info(String format,
                  Object... arguments)

      Description copied from interface: `Logger`
      Log a message at the INFO level according to the specified format and arguments.

      This form avoids superfluous string concatenation when the logger is disabled for the INFO level. However, this variant incurs the hidden (and relatively small) cost of creating an `Object[]` before invoking the method, even if this logger is disabled for INFO. The variants taking `one` and `two` arguments exist solely in order to avoid this hidden cost.

      Specified by:
        `info` in interface `Logger`
      Parameters:
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### info

          public void info(String msg,
                  Throwable t)

      Description copied from interface: `Logger`
      Log an exception (throwable) at the INFO level with an accompanying message.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isInfoEnabled

          public boolean isInfoEnabled(Marker marker)

      Description copied from interface: `Logger`
      Similar to `Logger.isInfoEnabled()` method except that the marker data is also taken into consideration.
      Specified by:
        `isInfoEnabled` in interface `Logger`
      Parameters:
        `marker` - The marker data to take into consideration
      Returns:
        true if this logger is warn enabled, false otherwise

    - #### info

          public void info(Marker marker,
                  String msg)

      Description copied from interface: `Logger`
      Log a message with the specific Marker at the INFO level.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `marker` - The marker specific to this log statement
        `msg` - the message string to be logged

    - #### info

          public void info(Marker marker,
                  String format,
                  Object arg)

      Description copied from interface: `Logger`
      This method is similar to `Logger.info(String, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg` - the argument

    - #### info

          public void info(Marker marker,
                  String format,
                  Object arg1,
                  Object arg2)

      Description copied from interface: `Logger`
      This method is similar to `Logger.info(String, Object, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### info

          public void info(Marker marker,
                  String format,
                  Object... arguments)

      Description copied from interface: `Logger`
      This method is similar to `Logger.info(String, Object...)` method except that the marker data is also taken into consideration.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### info

          public void info(Marker marker,
                  String msg,
                  Throwable t)

      Description copied from interface: `Logger`
      This method is similar to `Logger.info(String, Throwable)` method except that the marker data is also taken into consideration.
      Specified by:
        `info` in interface `Logger`
      Parameters:
        `marker` - the marker data for this log statement
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isWarnEnabled

          public boolean isWarnEnabled()

      Description copied from interface: `Logger`
      Is the logger instance enabled for the WARN level?
      Specified by:
        `isWarnEnabled` in interface `Logger`
      Returns:
        True if this Logger is enabled for the WARN level, false otherwise.

    - #### warn

          public void warn(String msg)

      Description copied from interface: `Logger`
      Log a message at the WARN level.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `msg` - the message string to be logged

    - #### warn

          public void warn(String format,
                  Object arg)

      Description copied from interface: `Logger`
      Log a message at the WARN level according to the specified format and argument.

      This form avoids superfluous object creation when the logger is disabled for the WARN level.

      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### warn

          public void warn(String format,
                  Object arg1,
                  Object arg2)

      Description copied from interface: `Logger`
      Log a message at the WARN level according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the WARN level.

      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### warn

          public void warn(String format,
                  Object... arguments)

      Description copied from interface: `Logger`
      Log a message at the WARN level according to the specified format and arguments.

      This form avoids superfluous string concatenation when the logger is disabled for the WARN level. However, this variant incurs the hidden (and relatively small) cost of creating an `Object[]` before invoking the method, even if this logger is disabled for WARN. The variants taking `one` and `two` arguments exist solely in order to avoid this hidden cost.

      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### warn

          public void warn(String msg,
                  Throwable t)

      Description copied from interface: `Logger`
      Log an exception (throwable) at the WARN level with an accompanying message.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isWarnEnabled

          public boolean isWarnEnabled(Marker marker)

      Description copied from interface: `Logger`
      Similar to `Logger.isWarnEnabled()` method except that the marker data is also taken into consideration.
      Specified by:
        `isWarnEnabled` in interface `Logger`
      Parameters:
        `marker` - The marker data to take into consideration
      Returns:
        True if this Logger is enabled for the WARN level, false otherwise.

    - #### warn

          public void warn(Marker marker,
                  String msg)

      Description copied from interface: `Logger`
      Log a message with the specific Marker at the WARN level.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `marker` - The marker specific to this log statement
        `msg` - the message string to be logged

    - #### warn

          public void warn(Marker marker,
                  String format,
                  Object arg)

      Description copied from interface: `Logger`
      This method is similar to `Logger.warn(String, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg` - the argument

    - #### warn

          public void warn(Marker marker,
                  String format,
                  Object arg1,
                  Object arg2)

      Description copied from interface: `Logger`
      This method is similar to `Logger.warn(String, Object, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### warn

          public void warn(Marker marker,
                  String format,
                  Object... arguments)

      Description copied from interface: `Logger`
      This method is similar to `Logger.warn(String, Object...)` method except that the marker data is also taken into consideration.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### warn

          public void warn(Marker marker,
                  String msg,
                  Throwable t)

      Description copied from interface: `Logger`
      This method is similar to `Logger.warn(String, Throwable)` method except that the marker data is also taken into consideration.
      Specified by:
        `warn` in interface `Logger`
      Parameters:
        `marker` - the marker data for this log statement
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isErrorEnabled

          public boolean isErrorEnabled()

      Description copied from interface: `Logger`
      Is the logger instance enabled for the ERROR level?
      Specified by:
        `isErrorEnabled` in interface `Logger`
      Returns:
        True if this Logger is enabled for the ERROR level, false otherwise.

    - #### error

          public void error(String msg)

      Description copied from interface: `Logger`
      Log a message at the ERROR level.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `msg` - the message string to be logged

    - #### error

          public void error(String format,
                   Object arg)

      Description copied from interface: `Logger`
      Log a message at the ERROR level according to the specified format and argument.

      This form avoids superfluous object creation when the logger is disabled for the ERROR level.

      Specified by:
        `error` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg` - the argument

    - #### error

          public void error(String format,
                   Object arg1,
                   Object arg2)

      Description copied from interface: `Logger`
      Log a message at the ERROR level according to the specified format and arguments.

      This form avoids superfluous object creation when the logger is disabled for the ERROR level.

      Specified by:
        `error` in interface `Logger`
      Parameters:
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### error

          public void error(String format,
                   Object... arguments)

      Description copied from interface: `Logger`
      Log a message at the ERROR level according to the specified format and arguments.

      This form avoids superfluous string concatenation when the logger is disabled for the ERROR level. However, this variant incurs the hidden (and relatively small) cost of creating an `Object[]` before invoking the method, even if this logger is disabled for ERROR. The variants taking `one` and `two` arguments exist solely in order to avoid this hidden cost.

      Specified by:
        `error` in interface `Logger`
      Parameters:
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### error

          public void error(String msg,
                   Throwable t)

      Description copied from interface: `Logger`
      Log an exception (throwable) at the ERROR level with an accompanying message.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

    - #### isErrorEnabled

          public boolean isErrorEnabled(Marker marker)

      Description copied from interface: `Logger`
      Similar to `Logger.isErrorEnabled()` method except that the marker data is also taken into consideration.
      Specified by:
        `isErrorEnabled` in interface `Logger`
      Parameters:
        `marker` - The marker data to take into consideration
      Returns:
        True if this Logger is enabled for the ERROR level, false otherwise.

    - #### error

          public void error(Marker marker,
                   String msg)

      Description copied from interface: `Logger`
      Log a message with the specific Marker at the ERROR level.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `marker` - The marker specific to this log statement
        `msg` - the message string to be logged

    - #### error

          public void error(Marker marker,
                   String format,
                   Object arg)

      Description copied from interface: `Logger`
      This method is similar to `Logger.error(String, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg` - the argument

    - #### error

          public void error(Marker marker,
                   String format,
                   Object arg1,
                   Object arg2)

      Description copied from interface: `Logger`
      This method is similar to `Logger.error(String, Object, Object)` method except that the marker data is also taken into consideration.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arg1` - the first argument
        `arg2` - the second argument

    - #### error

          public void error(Marker marker,
                   String format,
                   Object... arguments)

      Description copied from interface: `Logger`
      This method is similar to `Logger.error(String, Object...)` method except that the marker data is also taken into consideration.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `format` - the format string
        `arguments` - a list of 3 or more arguments

    - #### error

          public void error(Marker marker,
                   String msg,
                   Throwable t)

      Description copied from interface: `Logger`
      This method is similar to `Logger.error(String, Throwable)` method except that the marker data is also taken into consideration.
      Specified by:
        `error` in interface `Logger`
      Parameters:
        `marker` - the marker data specific to this log statement
        `msg` - the message accompanying the exception
        `t` - the exception (throwable) to log

Copyright © 2005–2017 QOS.ch. All rights reserved.